Bug 1321081 - Review Request: flwkey - Modem program for the K1EL Winkeyer series
Summary: Review Request: flwkey - Modem program for the K1EL Winkeyer series
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattia Verga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-24 15:52 UTC by Richard Shaw
Modified: 2017-11-26 21:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-18 03:44:28 UTC
mattia.verga: fedora-review+


Attachments (Terms of Use)

Description Richard Shaw 2016-03-24 15:52:30 UTC
Spec URL: http://hobbes1069.fedorapeople.org//flwkey.spec
SRPM URL: http://hobbes1069.fedorapeople.org//flwkey-1.2.3-1.fc22.src.rpm

Description:
Flwkey is a Winkeyer (or clone) control program for Amateur Radio use.  It
may be used concurrently with fldigi, fllog and flrig.

Comment 1 Richard Shaw 2016-03-24 15:53:36 UTC
Scratch build:

https://koji.fedoraproject.org/koji/taskinfo?taskID=13448342

Comment 2 Richard Shaw 2017-11-01 15:54:14 UTC
Spec URL: https://hobbes1069.fedorapeople.org/flwkey.spec
SRPM URL: https://hobbes1069.fedorapeople.org/flwkey-1.2.3-2.fc26.src.rpm

* Wed Nov 01 2017 Richard Shaw <hobbes1069@gmail.com> - 1.2.3-2
- Add appdata file.

Comment 3 Mattia Verga 2017-11-03 17:39:41 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
  
- License in spec file is "GPLv3+ and MIT", but some sources are licensed
  GPLv2+ and LGPLv2+, so the license should be "GPLv2+ and MIT".
  Also the COPYING file distributed with the program is GPLv2.
  The dual license should be explained briefly or with a breakdown.

- Please add a note to clarify that Source99 is a file added by you
  (and specify its license - I think you want to release as MIT)


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "LGPL (v2 or later)", "GPL (v2 or later)", "GPL (v3 or
     later)", "Unknown or generated", "*No copyright* CC by", "MIT/X11 (BSD
     like)", "*No copyright* GPL (v3 or later)". 85 files have unknown
     license. Detailed output of licensecheck in
     /home/rpmbuild/1321081-flwkey/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: flwkey-1.2.3-2.fc28.x86_64.rpm
          flwkey-debuginfo-1.2.3-2.fc28.x86_64.rpm
          flwkey-debugsource-1.2.3-2.fc28.x86_64.rpm
          flwkey-1.2.3-2.fc28.src.rpm
flwkey.x86_64: W: spelling-error %description -l en_US fldigi -> digital
flwkey.x86_64: W: spelling-error %description -l en_US fllog -> flog, fl log, fl-log
flwkey.x86_64: W: spelling-error %description -l en_US flrig -> frig, fl rig, fl-rig
flwkey.x86_64: W: only-non-binary-in-usr-lib
flwkey.x86_64: W: no-manual-page-for-binary flwkey
flwkey-debugsource.x86_64: W: no-documentation
flwkey.src: W: spelling-error %description -l en_US fldigi -> digital
flwkey.src: W: spelling-error %description -l en_US fllog -> flog, fl log, fl-log
flwkey.src: W: spelling-error %description -l en_US flrig -> frig, fl rig, fl-rig
4 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (debuginfo)
-------------------
Checking: flwkey-debuginfo-1.2.3-2.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
flwkey-debuginfo.x86_64: W: invalid-url URL: http://www.w1hkj.com/ <urlopen error [Errno -2] Name or service not known>
flwkey-debugsource.x86_64: W: invalid-url URL: http://www.w1hkj.com/ <urlopen error [Errno -2] Name or service not known>
flwkey-debugsource.x86_64: W: no-documentation
flwkey.x86_64: W: spelling-error %description -l en_US fldigi -> digital
flwkey.x86_64: W: spelling-error %description -l en_US fllog -> flog, fl log, fl-log
flwkey.x86_64: W: spelling-error %description -l en_US flrig -> frig, fl rig, fl-rig
flwkey.x86_64: W: invalid-url URL: http://www.w1hkj.com/ <urlopen error [Errno -2] Name or service not known>
flwkey.x86_64: W: only-non-binary-in-usr-lib
flwkey.x86_64: W: no-manual-page-for-binary flwkey
3 packages and 0 specfiles checked; 0 errors, 9 warnings.



Requires
--------
flwkey-debuginfo (rpmlib, GLIBC filtered):

flwkey-debugsource (rpmlib, GLIBC filtered):

flwkey (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libfltk.so.1.3()(64bit)
    libfltk_images.so.1.3()(64bit)
    libflxmlrpc.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)
    xdg-utils



Provides
--------
flwkey-debuginfo:
    debuginfo(build-id)
    flwkey-debuginfo
    flwkey-debuginfo(x86-64)

flwkey-debugsource:
    flwkey-debugsource
    flwkey-debugsource(x86-64)

flwkey:
    application()
    application(flwkey.desktop)
    flwkey
    flwkey(x86-64)
    metainfo()
    metainfo(flwkey.appdata.xml)



Source checksums
----------------
http://www.w1hkj.com/files/flwkey/flwkey-1.2.3.tar.gz :
  CHECKSUM(SHA256) this package     : 7431ca23078cb13ddf566c45f79bf2b8544f2df7699f05d884829992686026bf
  CHECKSUM(SHA256) upstream package : 7431ca23078cb13ddf566c45f79bf2b8544f2df7699f05d884829992686026bf


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1321081
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Richard Shaw 2017-11-03 22:32:53 UTC
(In reply to Mattia Verga from comment #3)
 
> Issues:
> =======
> - All build dependencies are listed in BuildRequires, except for any that
>   are listed in the exceptions section of Packaging Guidelines.
>   Note: These BR are not needed: gcc-c++
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

Yeah, I followed the same link and it's useless, you have to scroll up to Build Requirements which states that the standard build root can change over time and you can only assume that there's enough there for rpm/rpmbuild to function. It doesn't hurt anything.


> - License in spec file is "GPLv3+ and MIT", but some sources are licensed
>   GPLv2+ and LGPLv2+, so the license should be "GPLv2+ and MIT".
>   Also the COPYING file distributed with the program is GPLv2.
>   The dual license should be explained briefly or with a breakdown.

GPLv3 sources can't be downgraded to GPLv2 so I believe my original entry is correct. 


> - Please add a note to clarify that Source99 is a file added by you
>   (and specify its license - I think you want to release as MIT)

I haven't worried about this in the past as the appdata file itself specifies it's license to be CC0-1.0 (same as the example in the Fedora wiki.

Comment 5 Mattia Verga 2017-11-04 11:37:54 UTC
(In reply to Richard Shaw from comment #4)
> (In reply to Mattia Verga from comment #3)
>  
> > Issues:
> > =======
> > - All build dependencies are listed in BuildRequires, except for any that
> >   are listed in the exceptions section of Packaging Guidelines.
> >   Note: These BR are not needed: gcc-c++
> >   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
> 
> Yeah, I followed the same link and it's useless, you have to scroll up to
> Build Requirements which states that the standard build root can change over
> time and you can only assume that there's enough there for rpm/rpmbuild to
> function. It doesn't hurt anything.
Yep, it may be a fedora-review glitch, I cannot finda anything in Guidelines about that. Instead I found a page that says the opposite: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B


> > - License in spec file is "GPLv3+ and MIT", but some sources are licensed
> >   GPLv2+ and LGPLv2+, so the license should be "GPLv2+ and MIT".
> >   Also the COPYING file distributed with the program is GPLv2.
> >   The dual license should be explained briefly or with a breakdown.
> 
> GPLv3 sources can't be downgraded to GPLv2 so I believe my original entry is
> correct. 
You may be right, but the license file bundled in sources is a GPLv2+ license... I've asked help on the legal mailing list on how to proceed if the bundled license file is wrong.


> > - Please add a note to clarify that Source99 is a file added by you
> >   (and specify its license - I think you want to release as MIT)
> 
> I haven't worried about this in the past as the appdata file itself
> specifies it's license to be CC0-1.0 (same as the example in the Fedora wiki.
We should document where the sources come from, it should be a best practice to add a comment about that. But it's not mandatory.

Let's wait the legal mailing list response about the license.

Comment 6 Richard Shaw 2017-11-04 15:27:20 UTC
(In reply to Mattia Verga from comment #5)
> (In reply to Richard Shaw from comment #4)
> > (In reply to Mattia Verga from comment #3)
> > > - License in spec file is "GPLv3+ and MIT", but some sources are licensed
> > >   GPLv2+ and LGPLv2+, so the license should be "GPLv2+ and MIT".
> > >   Also the COPYING file distributed with the program is GPLv2.
> > >   The dual license should be explained briefly or with a breakdown.
> > 
> > GPLv3 sources can't be downgraded to GPLv2 so I believe my original entry is
> > correct. 
> You may be right, but the license file bundled in sources is a GPLv2+
> license... I've asked help on the legal mailing list on how to proceed if
> the bundled license file is wrong.

The "+" specifically means "... or later version". Licensing can get quite complicated but in the case of mixed GPL licenses it's much simpler. All the LGPLv2+ and GPLv2+ sources are upgraded to GPLv3 in the resultant binary. If the LGPLv2+ files ended up in a separate library then we would need to list both.


> > > - Please add a note to clarify that Source99 is a file added by you
> > >   (and specify its license - I think you want to release as MIT)
> > 
> > I haven't worried about this in the past as the appdata file itself
> > specifies it's license to be CC0-1.0 (same as the example in the Fedora wiki.
> We should document where the sources come from, it should be a best practice
> to add a comment about that. But it's not mandatory.
> 
> Let's wait the legal mailing list response about the license.

If you examine the file I have copyrighted it and attributed an acceptable licence to the metadata. While it's not specifically referenced in the spec file I believe the requirements have been met.

Comment 7 Mattia Verga 2017-11-04 16:40:48 UTC
Ok, you're right... package ACCEPTED.

Comment 8 Richard Shaw 2017-11-04 20:56:22 UTC
Repo and branches requested. Thanks for the review!

Comment 9 Gwyn Ciesla 2017-11-06 13:49:22 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/flwkey

Comment 10 Fedora Update System 2017-11-09 19:55:37 UTC
flcluster-1.0.3-1.fc27, flnet-7.3.2-1.fc27, flwkey-1.2.3-2.fc27, linsim-2.0.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f38cce05e

Comment 11 Fedora Update System 2017-11-11 16:55:48 UTC
flcluster-1.0.3-1.el7, flnet-7.3.2-1.el7, flwkey-1.2.3-2.el7, linsim-2.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5ff6d0e947

Comment 12 Fedora Update System 2017-11-11 17:29:48 UTC
flcluster-1.0.3-1.fc26, flnet-7.3.2-1.fc26, flwkey-1.2.3-2.fc26, linsim-2.0.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3bdb834df

Comment 13 Fedora Update System 2017-11-18 03:44:28 UTC
flcluster-1.0.3-1.fc27, flnet-7.3.2-1.fc27, flwkey-1.2.3-2.fc27, linsim-2.0.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-11-22 02:27:18 UTC
flcluster-1.0.3-1.fc26, flnet-7.3.2-1.fc26, flwkey-1.2.3-2.fc26, linsim-2.0.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-11-26 21:52:55 UTC
flcluster-1.0.3-1.el7, flnet-7.3.2-1.el7, flwkey-1.2.3-2.el7, linsim-2.0.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.